# Uses of Class
java.lang.reflect.RecordComponent

Packages that use RecordComponent
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.

## Uses of RecordComponent in java.lang

Methods in java.lang that return RecordComponent
Modifier and Type
Method
Description
`RecordComponent[]`
Class.`getRecordComponents()`
Returns an array of `RecordComponent` objects representing all the record components of this record class, or `null` if this class is not a record class.